Name:                nodejs-http-signature
Version:             0.10.0
Release:             2
Summary:             Reference implementation of Joyent's HTTP Signature Scheme
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
License:             MIT
URL:                 https://github.com/joyent/node-http-signature
Source0:             https://github.com/joyent/node-http-signature/archive/v%{version}.tar.gz
BuildRequires:       nodejs-packaging npm(tap) npm(node-uuid) npm(assert-plus) npm(asn1) npm(ctype)
%description
nodejs-http-signature is a node.js library that has client and server components
for Joyent's HTTP Signature Scheme.

%prep
%setup -q -n node-http-signature-%{version}
%nodejs_fixdep assert-plus
%nodejs_fixdep ctype '~0.5.3'
%nodejs_fixdep asn1 '~0.1.11'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/http-signature
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/http-signature
%nodejs_symlink_deps

%check
export OPENSSL_CONF=/dev/null
%nodejs_symlink_deps --check
%tap test/*.js

%files
%{nodejs_sitelib}/http-signature
%doc README.md http_signing.md
%license LICENSE

%changelog
* Thu Feb 02 2023 wulei <wulei80@h-partners.com> - 0.10.0-2
- Fix dlfcn_load:could not load the shared library error

* Thu Aug 20 2020 wangxiao <wangxiao65@huawei.com> - 0.10.0-1
- Package init
